Skip to main content
POST
/
v1
/
cal_slots
cal_slots
curl --request POST \
  --url https://api.fetchbean.com/v1/cal_slots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start": "<string>",
  "end": "<string>",
  "eventTypeId": 123,
  "username": "<string>",
  "eventTypeSlug": "<string>",
  "timeZone": "<string>"
}
'
import requests

url = "https://api.fetchbean.com/v1/cal_slots"

payload = {
"start": "<string>",
"end": "<string>",
"eventTypeId": 123,
"username": "<string>",
"eventTypeSlug": "<string>",
"timeZone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: '<string>',
end: '<string>',
eventTypeId: 123,
username: '<string>',
eventTypeSlug: '<string>',
timeZone: '<string>'
})
};

fetch('https://api.fetchbean.com/v1/cal_slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"billable": true
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"billable": true
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"billable": true
}
}

Authorizations

Authorization
string
header
required

Your fetchbean API key (fb_…).

Body

application/json
start
string
required
end
string
required
eventTypeId
integer
username
string
eventTypeSlug
string
timeZone
string

Response

Success

The response is of type object.